%define upstream_name    Encode-HanExtra
%define upstream_version 0.23

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 32

Summary:	Extra sets of Chinese encodings
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Encode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:  perl(Config)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(Module::Install::External)
BuildRequires:  perl(Module::Install::Makefile)
BuildRequires:  perl(Module::Install::Metadata)
BuildRequires:  perl(Module::Install::WriteAll)
BuildRequires:  perl(strict)
BuildRequires:  sed
# Run-time
BuildRequires:  perl(base)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Encode::Encoding)
BuildRequires:  perl(vars)
BuildRequires:  perl(XSLoader)
# Tests
BuildRequires:  perl(Test::More)


%{?perl_default_filter}

%description
Perl 5.7.3 and later ships with an adequate set of Chinese encodings,
including the commonly used CP950, CP936 (also known as GBK), Big5 (alias
for Big5-Eten), Big5-HKSCS, EUC-CN, HZ, and ISO-IR-165.

However, the numbers of Chinese encodings are staggering, and a complete
coverage will easily increase the size of perl distribution by several
megabytes; hence, this CPAN module tries to provide the rest of them.

If you are using Perl 5.8 or later, Encode::CN and Encode::TW will
automatically load the extra encodings for you, so there's no need to
explicitly write use Encode::HanExtra if you are using one of them already.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Remove bundled libraries
rm -r inc
sed -i -e '/^inc\// d' MANIFEST
 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%check
%make_build test

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.230.0-32.mga10
+ Revision: 2225933
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 0.230.0-31.mga10
+ Revision: 2088041
- Rebuild against new perl

* Fri Dec 01 2023 tv <tv> 0.230.0-30.mga10
+ Revision: 2012047
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.230.0-29.mga9
+ Revision: 1862864
- Rebuild for Perl 5.36

* Fri Mar 18 2022 umeabot <umeabot> 0.230.0-28.mga9
+ Revision: 1797865
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.230.0-27.mga9
+ Revision: 1727668
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 0.230.0-26.mga8
+ Revision: 1595647
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.230.0-25.mga8
+ Revision: 1529035
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 0.230.0-24.mga8
+ Revision: 1432997
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.230.0-23.mga7
+ Revision: 1292834
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 joequant <joequant> 0.230.0-22.mga7
+ Revision: 1248257
- fix up build
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.230.0-21.mga7
+ Revision: 1164296
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.230.0-20.mga7
+ Revision: 1149619
- Rebuild for perl ABI changes

* Sun Jul 23 2017 tv <tv> 0.230.0-19.mga7
+ Revision: 1129504
- Fix building on Perl without '.' in @INC
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-18.mga6
+ Revision: 1026919
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.230.0-17.mga6
+ Revision: 957266
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.230.0-16.mga6
+ Revision: 844865
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.230.0-15.mga6
+ Revision: 840865
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.230.0-14.mga5
+ Revision: 790004
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.230.0-13.mga5
+ Revision: 750836
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.230.0-12.mga5
+ Revision: 732089
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.230.0-11.mga5
+ Revision: 684636
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.230.0-10.mga5
+ Revision: 631135
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.230.0-9.mga4
+ Revision: 524182
- Mageia 4 Mass Rebuild

* Wed May 29 2013 fwang <fwang> 0.230.0-8.mga4
+ Revision: 430516
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-7.mga3
+ Revision: 366874
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 fwang <fwang> 0.230.0-6.mga3
+ Revision: 306915
- rebuild for perl 5.16.1

* Wed May 30 2012 jquelin <jquelin> 0.230.0-5.mga3
+ Revision: 250592
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.230.0-4.mga2
+ Revision: 104251
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.230.0-3.mga1
+ Revision: 31959
- mageia rebuild
- imported package perl-Encode-HanExtra

